#!/bin/bash
set -e

if [ -z "$1" ] || [ -z "$2" ]; then
	echo "bad args" >&2
	exit 1
fi 

DEST=$(realpath "$2")
cd "$1"
mkdir -p DEST

for rel in $(find . -type f -name *.gpg); do
	DESTFILE=$(echo $DEST/$rel | sed 's/\.[^.]*$//')
       	[ -f "$DESTFILE" ] && continue	
	mkdir -p "$(dirname "$DESTFILE")"
	gpg --output "$DESTFILE" --decrypt "$rel"
done
